org.apache.ode.bpel.pmapi.impl

## Class TDeploymentInfoImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.ode.bpel.pmapi.impl.TDeploymentInfoImpl

- All Implemented Interfaces:
    java.io.Serializable, TDeploymentInfo, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

      public class TDeploymentInfoImpl
      extends org.apache.xmlbeans.impl.values.XmlComplexContentImpl
      implements TDeploymentInfo

  An XML tDeploymentInfo(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.ode.bpel.pmapi.TDeploymentInfo

      `TDeploymentInfo.Factory`

  - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.ode.bpel.pmapi.TDeploymentInfo

      `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TDeploymentInfoImpl(org.apache.xmlbeans.SchemaType sType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Calendar` | `getDeployDate()` Gets the "deploy-date" element
    `java.lang.String` | `getDeployer()` Gets the "deployer" element
    `java.lang.String` | `getDocument()` Gets the "document" element
    `java.lang.String` | `getPackage()` Gets the "package" element
    `void` | `setDeployDate(java.util.Calendar deployDate)` Sets the "deploy-date" element
    `void` | `setDeployer(java.lang.String deployer)` Sets the "deployer" element
    `void` | `setDocument(java.lang.String document)` Sets the "document" element
    `void` | `setPackage(java.lang.String xpackage)` Sets the "package" element
    `org.apache.xmlbeans.XmlDateTime` | `xgetDeployDate()` Gets (as xml) the "deploy-date" element
    `org.apache.xmlbeans.XmlString` | `xgetDeployer()` Gets (as xml) the "deployer" element
    `org.apache.xmlbeans.XmlString` | `xgetDocument()` Gets (as xml) the "document" element
    `org.apache.xmlbeans.XmlString` | `xgetPackage()` Gets (as xml) the "package" element
    `void` | `xsetDeployDate(org.apache.xmlbeans.XmlDateTime deployDate)` Sets (as xml) the "deploy-date" element
    `void` | `xsetDeployer(org.apache.xmlbeans.XmlString deployer)` Sets (as xml) the "deployer" element
    `void` | `xsetDocument(org.apache.xmlbeans.XmlString document)` Sets (as xml) the "document" element
    `void` | `xsetPackage(org.apache.xmlbeans.XmlString xpackage)` Sets (as xml) the "package" element

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### TDeploymentInfoImpl

          public TDeploymentInfoImpl(org.apache.xmlbeans.SchemaType sType)

  - ### Method Detail

    - #### getPackage

          public java.lang.String getPackage()

      Gets the "package" element
      Specified by:
        `getPackage` in interface `TDeploymentInfo`

    - #### xgetPackage

          public org.apache.xmlbeans.XmlString xgetPackage()

      Gets (as xml) the "package" element
      Specified by:
        `xgetPackage` in interface `TDeploymentInfo`

    - #### setPackage

          public void setPackage(java.lang.String xpackage)

      Sets the "package" element
      Specified by:
        `setPackage` in interface `TDeploymentInfo`

    - #### xsetPackage

          public void xsetPackage(org.apache.xmlbeans.XmlString xpackage)

      Sets (as xml) the "package" element
      Specified by:
        `xsetPackage` in interface `TDeploymentInfo`

    - #### getDocument

          public java.lang.String getDocument()

      Gets the "document" element
      Specified by:
        `getDocument` in interface `TDeploymentInfo`

    - #### xgetDocument

          public org.apache.xmlbeans.XmlString xgetDocument()

      Gets (as xml) the "document" element
      Specified by:
        `xgetDocument` in interface `TDeploymentInfo`

    - #### setDocument

          public void setDocument(java.lang.String document)

      Sets the "document" element
      Specified by:
        `setDocument` in interface `TDeploymentInfo`

    - #### xsetDocument

          public void xsetDocument(org.apache.xmlbeans.XmlString document)

      Sets (as xml) the "document" element
      Specified by:
        `xsetDocument` in interface `TDeploymentInfo`

    - #### getDeployDate

          public java.util.Calendar getDeployDate()

      Gets the "deploy-date" element
      Specified by:
        `getDeployDate` in interface `TDeploymentInfo`

    - #### xgetDeployDate

          public org.apache.xmlbeans.XmlDateTime xgetDeployDate()

      Gets (as xml) the "deploy-date" element
      Specified by:
        `xgetDeployDate` in interface `TDeploymentInfo`

    - #### setDeployDate

          public void setDeployDate(java.util.Calendar deployDate)

      Sets the "deploy-date" element
      Specified by:
        `setDeployDate` in interface `TDeploymentInfo`

    - #### xsetDeployDate

          public void xsetDeployDate(org.apache.xmlbeans.XmlDateTime deployDate)

      Sets (as xml) the "deploy-date" element
      Specified by:
        `xsetDeployDate` in interface `TDeploymentInfo`

    - #### getDeployer

          public java.lang.String getDeployer()

      Gets the "deployer" element
      Specified by:
        `getDeployer` in interface `TDeploymentInfo`

    - #### xgetDeployer

          public org.apache.xmlbeans.XmlString xgetDeployer()

      Gets (as xml) the "deployer" element
      Specified by:
        `xgetDeployer` in interface `TDeploymentInfo`

    - #### setDeployer

          public void setDeployer(java.lang.String deployer)

      Sets the "deployer" element
      Specified by:
        `setDeployer` in interface `TDeploymentInfo`

    - #### xsetDeployer

          public void xsetDeployer(org.apache.xmlbeans.XmlString deployer)

      Sets (as xml) the "deployer" element
      Specified by:
        `xsetDeployer` in interface `TDeploymentInfo`